Package com.independentsoft.office.spreadsheet.extensions

# Class X14Icon

java.lang.Object
com.independentsoft.office.spreadsheet.extensions.X14Icon

public class X14Icon extends Object
Represents a custom icon reference (`x14:cfIcon` element) in an x14 icon set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `X14Icon()`
  Instantiates a new x14 icon.
  `X14Icon​(InternalXMLStreamReader reader)`
  Instantiates a new x14 icon.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `X14Icon`
  `clone()`
  `Integer`
  `getIconId()`
  Gets the zero-based index of the icon inside its icon set, or null when it is not set.
  `String`
  `getIconSet()`
  Gets the icon set the icon is taken from.
  `void`
  `setIconId​(Integer iconId)`
  Sets the zero-based index of the icon inside its icon set.
  `void`
  `setIconSet​(String iconSet)`
  Sets the icon set the icon is taken from.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### X14Icon

    public X14Icon()
    Instantiates a new x14 icon.

  - ### X14Icon

    public X14Icon​(InternalXMLStreamReader reader)
    Instantiates a new x14 icon.

    Reads the attributes only and leaves the reader ON the start element, so the caller's loop advances past it.

    Parameters:
      `reader` - the reader

- ## Method Details

  - ### clone

    public X14Icon clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIconSet

    public String getIconSet()
    Gets the icon set the icon is taken from.
    Returns:
      the icon set

  - ### setIconSet

    public void setIconSet​(String iconSet)
    Sets the icon set the icon is taken from.
    Parameters:
      `iconSet` - the new icon set

  - ### getIconId

    public Integer getIconId()
    Gets the zero-based index of the icon inside its icon set, or null when it is not set.
    Returns:
      the icon id

  - ### setIconId

    public void setIconId​(Integer iconId)
    Sets the zero-based index of the icon inside its icon set. A null value removes the attribute.
    Parameters:
      `iconId` - the new icon id